/**
 * Copyright (C) cedarsoft GmbH.
 *
 * Licensed under the GNU General Public License version 3 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.cedarsoft.org/gpl3
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 3 only, as
 * published by the Free Software Foundation.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 3 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 3 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact cedarsoft GmbH, 72810 Gomaringen, Germany,
 * or visit www.cedarsoft.com if you need additional information or
 * have any questions.
 */

package com.cedarsoft.hudson.bears;

import org.jetbrains.annotations.NonNls;
import org.jetbrains.annotations.NotNull;

import java.net.MalformedURLException;
import java.net.URL;

/**
 *
 */
public class StatusUrls {
  @NotNull
  @NonNls
  public static final String SUFFIX = "/api/xml";
  /**
   * The critical projects
   */
  @NotNull
  @NonNls
  public static final String CRITICAL_PROJECTS = "view/Critical%20Projects";


  @NotNull
  @NonNls
  public final String server;

  @NotNull
  private final URL all;
  @NotNull
  private final URL critical;

  public StatusUrls( @NotNull @NonNls String server ) throws MalformedURLException {
    if ( server.endsWith( "/" ) ) {
      this.server = server;
    } else {
      this.server = server + "/";
    }

    all = new URL( this.server + SUFFIX );
    critical = new URL( this.server + CRITICAL_PROJECTS + SUFFIX );
  }

  @NotNull
  public URL getCritical() {
    return critical;
  }

  @NotNull
  public URL getAll() {
    return all;
  }
}